# $Revision: 1.11 $, $Date: 2003/08/18 08:07:58 $
#
# TODO:
# - add desktop file and png icon for package.
#
Summary:	A simulation game
Summary(pl):	Gra symulacyjna
Name:		corewars
Version:	0.9.13
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	0a0b8067533b83a96488109ee265f664
Source1:	http://corewars.sourceforge.net/warriors.tar.gz
# Source1-md5:	6ad0dbacddda7253120ff15930d23009
Source2:	http://corewars.sourceforge.net/hill-warriors.tar.gz
# Source2-md5:	b10c44dfc18e39837fe45110df6086d3
URL:		http://corewars.sf.net/
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
Core Wars is a simulation game. A number of programs are loaded into a
virtual machine and executed. The programs can to crash each other,
manipulate other programs, overwrite as much memory as they can,
etc... The "best" program is selected according to a scoring mechanism
which involves the number of memory cells the program has overwritten,
the number of other programs it has crashed and whether/when it
crashed.

Two different languages are supported. The one called "Corewars" is
easy to learn. The second language, called "Redcode", is harder to
learn but also more powerful.

Additional polish Core Wars documentation is contained in pmars
package.

%description -l pl
Wojny Rdzeniowe s gr symulacyjn. Kilka programw zostaje
zaadowanych do wirtualnej pamici i wykonanych. Programy mog
wysypywa inne programy, manipulowa nimi, nadpisywa pami, etc.
Mechanizm wyboru najlepszego programu bierze pod uwag ilo komrek
pamici, ktre program nadpisa, liczb ubitych programw oraz
okolicznoci mierci.

Uywane s dwa jzyki. Pierwszy, "Corewars", jest atwy do nauczenia
si. Drugi, "Redcode", jest trudniejszy, lecz bardziej potny.

Dodatkowa dokumentacja po polsku dotyczca Wojen Rdzeniowych znajduje
si w pakiecie pmars.

%package warriors
Summary:	Core warriors
Summary(pl):	Wojownicy rdzeniowi
Group:		X11/Applications/Games
Requires:	%{name} = %{version}

%description warriors
Core warriors.

%description warriors -l pl
Wojownicy rdzeniowi.

%prep
%setup -q -a1 -a2

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir $RPM_BUILD_ROOT%{_datadir}/corewars/warriors
mv warriors $RPM_BUILD_ROOT%{_datadir}/corewars/warriors/all
# TODO: create links to above instead of doubling content
mv hill-warriors $RPM_BUILD_ROOT%{_datadir}/corewars/warriors/hill

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%dir %{_datadir}/corewars
%{_datadir}/corewars/*.cw
%{_datadir}/corewars/*.red

%files warriors
%defattr(644,root,root,755)
%{_datadir}/corewars/warriors

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: corewars.spec,v $
Revision 1.11  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/08/06 16:49:49  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.9  2003/06/24 08:53:32  ankry
- fixed md5

Revision 1.8  2003/06/22 14:30:28  misi3k
- updated to 0.9.13, warriors update

Revision 1.7  2003/06/13 13:49:42  ankry
- fixed(?) Source1-md5

Revision 1.6  2003/06/13 10:23:24  misi3k
- Source0 cosmetics
- warriors update

Revision 1.5  2003/05/26 16:24:49  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/18 22:45:27  juandon
- removed two lines with define

Revision 1.2  2002/07/31 12:33:15  kloczek
- use new %doc.
TODO: add desktop file and png icon for package.

Revision 1.1  2002/03/18 13:23:44  wolf
initial release
